Bug 1266402 - [fork][origin_userinterface_538]Show incorrect webhook url in /console/project/<project name>/browse/builds/<buildname> page
[fork][origin_userinterface_538]Show incorrect webhook url in /console/projec...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 04:09 EDT by weiwei jiang
Modified: 2015-11-23 16:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:17:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weiwei jiang 2015-09-25 04:09:32 EDT
Description of problem:
After  create an app which is from a git repo, check the webhook for the buildconfig, and found the webhook is incorrent.
https://<PULIC MASTER>:8443/oapi/v1/namespaces/<namespaces>/buildconfigs

Version-Release number of selected component (if applicable):
fork_ami_openshift3_userinterface_public_538_95

How reproducible:
always

Steps to Reproduce:
1.Create a template in namespaces with https://raw.githubusercontent.com/openshift/origin/master/examples/sample-app/application-template-stibuild.json
2.Create an app from the template
3.Check the build webhook url for the app in /console/project/<project name>/browse/builds/<buildname> page

Actual results:
Display incorrent webhook url
https://<PULIC MASTER>:8443/oapi/v1/namespaces/<namespace name>/buildconfigs

Expected results:
For github:
https://<PUBLIC MASTER>:8443/oapi/v1/namespaces/<PROJECT NAME>/buildconfigs/<BUILD NAME>/webhooks/secret101/github 
For generic:
https://<PUBLIC MASTER>:8443/oapi/v1/namespaces/<PROJECT NAME>/buildconfigs/<BUILD NAME>/webhooks/secret101/generic

Additional info:
Comment 1 Jessica Forrester 2015-09-25 11:12:12 EDT
Fixed in https://github.com/openshift/origin/pull/4726
Comment 2 Wei Sun 2015-09-28 02:33:12 EDT
Verified on devenv-fedora_2411

For github:
https://<public master>:8443/oapi/v1/namespaces/wsuntest/buildconfigs/ruby-sample-build/webhooks/secret101/github

For generic:
https://<public master>m:8443/oapi/v1/namespaces/wsuntest/buildconfigs/ruby-sample-build/webhooks/secret101/generic

Note You need to log in before you can comment on or make changes to this bug.